Bug 31075 - Move several packages to maintained
Move several packages to maintained
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-1
Depends on:
Blocks: 31076
  Show dependency treegraph
 
Reported: 2013-04-16 16:14 CEST by Dirk Wiesenthal
Modified: 2013-11-19 06:43 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-04-16 16:14:37 CEST
Several packages have to be moved into maintained (Ticket#: 2013041521001865)

postgresql
liblist-moreutils-perl
libparams-validate-perl
libdatetime-locale-perl
libclass-singleton-perl
libdatetime-timezone-perl
libdatetime-perl
libdbd-pg-perl
libpg-perl
libemail-address-perl
libpdf-api2-perl
librose-object-perl
libclass-factory-util-perl
libdatetime-format-strptime-perl
libdatetime-format-builder-perl
libdatetime-format-mysql-perl
libyaml-syck-perl
libcarp-clan-perl
libbit-vector-perl
libdatetime-format-pg-perl
libsub-install-perl
libparams-util-perl
libdata-optlist-perl
libsub-exporter-perl
libsql-reservedwords-perl
librose-datetime-perl
libclone-pp-perl
libtime-clock-perl
librose-db-perl
libclone-perl
librose-db-object-perl
libappconfig-perl
libtemplate-perl
libtext-csv-xs-perl
libxml-writer-perl
libyaml-perl
libclass-std-perl
libconfig-std-perl
libfcgi-perl
libjson-perl
libsub-name-perl
libclass-accessor-perl
libapache2-mod-fcgid
libemail-date-format-perl
libemail-simple-perl
libemail-mime-contenttype-perl
libemail-mime-encodings-perl
libmime-types-perl
libemail-messageid-perl
libemail-mime-perl
libnet-ssleay-perl
libio-socket-ssl-perl
libconvert-asn1-perl
libnet-ldap-perl
libnet-smtp-ssl-perl
libnet-sslglue-perl
libscope-guard-perl
libdevel-globaldestruction-perl
libalgorithm-c3-perl
libclass-c3-perl
libmro-compat-perl
libtry-tiny-perl
libtask-weaken-perl
libpackage-stash-perl
libpackage-deprecationmanager-perl
libclass-mop-perl
libmoose-perl
libgetopt-long-descriptive-perl
libmoosex-getopt-perl
libhttp-server-simple-perl
libwww-mechanize-perl
libapp-nopaste-perl
libb-keywords-perl
libb-utils-perl
libdata-dump-streamer-perl
libdata-dumper-concise-perl
libfile-homedir-perl
libfile-next-perl
libpadwalker-perl
libdevel-caller-perl
libdevel-lexalias-perl
liblexical-persistence-perl
libmodule-refresh-perl
libmoosex-attributehelpers-perl
libmoosex-object-pluggable-perl
libvariable-magic-perl
libb-hooks-endofscope-perl
libsub-identify-perl
libnamespace-clean-perl
libio-string-perl
libppi-perl
libsys-sigaction-perl
libdevel-repl-perl
libtest-deep-perl
libclass-c3-xs-perl
libclass-xsaccessor-perl
libcommon-sense-perl
libfont-afm-perl
libhtml-format-perl
libjson-xs-perl
libnet-libidn-perl
libterm-readline-gnu-perl
Comment 1 Moritz Muehlenhoff univentionstaff 2013-05-31 10:46:07 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 2 Felix Botner univentionstaff 2013-06-18 16:24:37 CEST
The following packages were already maintained:

libdbd-pg-perl
libpdf-api2-perl
libcarp-clan-perl
libbit-vector-perl
libtext-csv-xs-perl
libnet-ssleay-perl
libio-socket-ssl-perl
libconvert-asn1-perl
libnet-ldap-perl
libcommon-sense-perl
libfont-afm-perl
libhtml-format-perl
libjson-xs-perl
libnet-libidn-perl

The following packages were cherry picked from 3.0-2 to 3.2-0,
build in 3.2-0 and added to the 3.2-0 trigger list:

libapache2-mod-fcgid

The following packages were cherry picked from 3.0-0 to 3.2-0:
build in 3.2-0 and added to the 3.2-0 trigger list:

postgresql (source package postgresql-8.4)
libappconfig-perl (source package appconfig)
liblist-moreutils-perl
libparams-validate-perl
libdatetime-locale-perl
libclass-singleton-perl
libdatetime-timezone-perl
libdatetime-perl
libpg-perl
libemail-address-perl
librose-object-perl
libclass-factory-util-perl
libdatetime-format-strptime-perl
libdatetime-format-builder-perl
libdatetime-format-mysql-perl
libyaml-syck-perl
libdatetime-format-pg-perl
libsub-install-perl
libparams-util-perl
libdata-optlist-perl
libsub-exporter-perl
libsql-reservedwords-perl
librose-datetime-perl
libclone-pp-perl
libtime-clock-perl
librose-db-perl
libclone-perl
librose-db-object-perl
libappconfig-perl
libtemplate-perl
libxml-writer-perl
libyaml-perl
libclass-std-perl
libconfig-std-perl
libfcgi-perl
libjson-perl
libsub-name-perl
libclass-accessor-perl
libemail-date-format-perl
libemail-simple-perl
libemail-mime-contenttype-perl
libemail-mime-encodings-perl
libmime-types-perl
libemail-messageid-perl
libemail-mime-perl
libnet-smtp-ssl-perl
libnet-sslglue-perl
libscope-guard-perl
libdevel-globaldestruction-perl
libalgorithm-c3-perl
libclass-c3-perl
libmro-compat-perl
libtry-tiny-perl
libtask-weaken-perl
libpackage-stash-perl
libpackage-deprecationmanager-perl
libclass-mop-perl
libmoose-perl
libgetopt-long-descriptive-perl
libmoosex-getopt-perl
libhttp-server-simple-perl
libwww-mechanize-perl
libapp-nopaste-perl
libb-keywords-perl
libb-utils-perl
libdata-dump-streamer-perl
libdata-dumper-concise-perl
libfile-homedir-perl
libfile-next-perl
libpadwalker-perl
libdevel-caller-perl
libdevel-lexalias-perl
liblexical-persistence-perl
libmodule-refresh-perl
libmoosex-attributehelpers-perl
libmoosex-object-pluggable-perl
libvariable-magic-perl
libb-hooks-endofscope-perl
libsub-identify-perl
libnamespace-clean-perl
libio-string-perl
libppi-perl
libsys-sigaction-perl
libdevel-repl-perl
libtest-deep-perl
libclass-c3-xs-perl
libclass-xsaccessor-perl
libterm-readline-gnu-perl
Comment 3 Moritz Muehlenhoff univentionstaff 2013-07-30 12:41:25 CEST
(In reply to Felix Botner from comment #2)
> The following packages were already maintained:
> 
> libdbd-pg-perl
> libpdf-api2-perl
> libcarp-clan-perl
> libbit-vector-perl
> libtext-csv-xs-perl
> libnet-ssleay-perl
> libio-socket-ssl-perl
> libconvert-asn1-perl
> libnet-ldap-perl
> libcommon-sense-perl
> libfont-afm-perl
> libhtml-format-perl
> libjson-xs-perl
> libnet-libidn-perl

All these packages are already present in
/mnt/omar/vmwares/mirror/ftp/3.1/maintained/3.1-1/
 
> libapache2-mod-fcgid
> postgresql (source package postgresql-8.4)
> libappconfig-perl (source package appconfig)
> liblist-moreutils-perl
> libparams-validate-perl
> libdatetime-locale-perl
> libclass-singleton-perl
> libdatetime-timezone-perl
> libdatetime-perl
> libpg-perl
> libemail-address-perl
> librose-object-perl
> libclass-factory-util-perl
> libdatetime-format-strptime-perl
> libdatetime-format-builder-perl
> libdatetime-format-mysql-perl
> libyaml-syck-perl
> libdatetime-format-pg-perl
> libsub-install-perl
> libparams-util-perl
> libdata-optlist-perl
> libsub-exporter-perl
> libsql-reservedwords-perl
> librose-datetime-perl
> libclone-pp-perl
> libtime-clock-perl
> librose-db-perl
> libclone-perl
> librose-db-object-perl
> libappconfig-perl
> libtemplate-perl
> libxml-writer-perl
> libyaml-perl
> libclass-std-perl
> libconfig-std-perl
> libfcgi-perl
> libjson-perl
> libsub-name-perl
> libclass-accessor-perl
> libemail-date-format-perl
> libemail-simple-perl
> libemail-mime-contenttype-perl
> libemail-mime-encodings-perl
> libmime-types-perl
> libemail-messageid-perl
> libemail-mime-perl
> libnet-smtp-ssl-perl
> libnet-sslglue-perl
> libscope-guard-perl
> libdevel-globaldestruction-perl
> libalgorithm-c3-perl
> libclass-c3-perl
> libmro-compat-perl
> libtry-tiny-perl
> libtask-weaken-perl
> libpackage-stash-perl
> libpackage-deprecationmanager-perl
> libclass-mop-perl
> libmoose-perl
> libgetopt-long-descriptive-perl
> libmoosex-getopt-perl
> libhttp-server-simple-perl
> libwww-mechanize-perl
> libapp-nopaste-perl
> libb-keywords-perl
> libb-utils-perl
> libdata-dump-streamer-perl
> libdata-dumper-concise-perl
> libfile-homedir-perl
> libfile-next-perl
> libpadwalker-perl
> libdevel-caller-perl
> libdevel-lexalias-perl
> liblexical-persistence-perl
> libmodule-refresh-perl
> libmoosex-attributehelpers-perl
> libmoosex-object-pluggable-perl
> libvariable-magic-perl
> libb-hooks-endofscope-perl
> libsub-identify-perl
> libnamespace-clean-perl
> libio-string-perl
> libppi-perl
> libsys-sigaction-perl
> libdevel-repl-perl
> libtest-deep-perl
> libclass-c3-xs-perl
> libclass-xsaccessor-perl
> libterm-readline-gnu-perl

All these files are present below /mnt/omar/vmwares/mirror/testing/3.2/maintained

Changelog entry exists.
Comment 4 Stefan Gohmann univentionstaff 2013-11-19 06:43:43 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".